# Uses of Class
com.logicaldoc.core.security.Client

Packages that use Client
Package
Description
com.logicaldoc.core.history
com.logicaldoc.core.security
Container of the security-related interfaces and classes
com.logicaldoc.core.security.authentication
The pluggable authentication mechanism.
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of Client in com.logicaldoc.core.history

Methods in com.logicaldoc.core.history with parameters of type Client
Modifier and Type
Method
Description
`void`
History.`setClient(Client client)`
This setter sets the ip, device and other informations that can be captured by the given client

## Uses of Client in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security that return Client
Modifier and Type
Method
Description
`Client`
SessionManager.`buildClient(jakarta.servlet.http.HttpServletRequest request)`
Create a client identified using a concatenation of Basic authentication credentials and remote IP.
`Client`
Session.`getClient()`
Methods in com.logicaldoc.core.security with parameters of type Client
Modifier and Type
Method
Description
`Session`
SessionManager.`newSession(String apikey, Client client)`
Creates a new session by authenticating through an API Key and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, Client client)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`Session`
SessionManager.`newSession(String username, String password, String key, Client client)`
Creates a new session by authenticating the given user and stores it in the pool of opened sessions
`static void`
LoginThrottle.`recordFailure(String username, String apiKey, Client client, AuthenticationException exception)`
Saves the login failure in the database

## Uses of Client in com.logicaldoc.core.security.authentication

Methods in com.logicaldoc.core.security.authentication with parameters of type Client
Modifier and Type
Method
Description
`User`
AbstractAuthenticator.`authenticate(String username, String password, String key, Client client)`
`User`
ApiKeyAuthenticator.`authenticate(String username, String password, String apikey, Client client)`
`final User`
AuthenticationChain.`authenticate(String username, String password, String key, Client client)`
`User`
Authenticator.`authenticate(String username, String password, String key, Client client)`
Authenticates the user using the given credentials, if successful, the corresponding user is returned.
`User`
DefaultAuthenticator.`authenticate(String username, String password, String key, Client client)`

## Uses of Client in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user with parameters of type Client
Modifier and Type
Method
Description
`UserHistory`
HibernateUserHistoryDAO.`createUserHistory(User user, UserEvent eventType, String comment, String sessionId, Client client)`
`UserHistory`
UserHistoryDAO.`createUserHistory(User user, UserEvent event, String comment, String sessionId, Client client)`
Creates an user history entry